LSIPC(1)

NAMN
lsipc - visa information om IPC-faciliteter som för närvarande används i systemet

SYNOPSIS

lsipc [flaggor]

BESKRIVNING

lsipc visar information om POSIX- och System V-faciliteterna för kommunikation mellan processer för vilka den anropande processen har läsbehörighet.

Standardutdata, liksom standardutdata från flaggor med fördefinierade utdatakolumner (som --shmems, etc.), kan ändras. Så när det är möjligt bör du undvika att använda standardutdata i dina skript. Definiera alltid uttryckligen förväntade kolumner genom att använda --output columns-list i miljöer där en stabil utdata krävs.

FLAGGOR

-i, --id id
    Visa fullständig information om endast ett resurselement (System V) som identifieras av id. Denna flagga måste kombineras med en av de tre resursflaggorna: -m, -q eller -s. Det är möjligt att åsidosätta standardutdataformatet för denna flagga med flaggan --list, --raw, --json eller --export.

-N, --name namn
    Visa fullständig information om endast ett resurselement (POSIX) som identifieras av namn. Denna flagga måste kombineras med en av de tre resursflaggorna: -M, -Q eller -S. Det är möjligt att åsidosätta standardutdataformatet för denna flagga med flaggan --list, --raw, --json eller --export.

-g, --global
    Visa systemomfattande användning och gränser för IPC-resurser. Denna flagga kan kombineras med en av de tre resursflaggorna: -m, -q eller -s. Standardinställningen är att visa information om alla resurser.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

  Resursflaggor

-m, --shmems
    Skriv information om aktiva delade minnessegment i System V.

-M, --posix-shmems
    Skriv information om aktiva POSIX-delade minnessegment.

-q, --queues
    Skriv information om aktiva System V-meddelandeköer.

-Q, --posix-mqueues
    Skriv information om aktiva POSIX-meddelandeköer.

-s, --semaphores
    Skriv information om aktiva semaforuppsättningar i System V.

-S, --posix-semaphores
    Skriv information om aktiva POSIX-namngivna semaforer.

  Formatering av utdata

-c, --creator
    Showens skapare och ägare.

-e, --export
    Producerar utdata i form av nyckel="värde"-par. Alla potentiellt osäkra värde-tecken är hexadecalerade (\x<code>). Se även flaggan --shell.

-J, --json
    Använd JSON-utdataformatet.

-l, --list
    Använd listans utmatningsformat. Detta är standardinställningen, utom när --id används.

-n, --newline
    Visa varje information på en separat rad.

--noheadings
    Skriv inte ut någon rubrikrad.

--notruncate
    Avkorta inte utdata.

-o, --output lista
    Ange vilka utdatakolumner som ska skrivas ut. Använd --help för att få en lista över alla kolumner som stöds.

-b, --bytes
    Utskriftsstorlek i bytes i stället för i läsbart format.

-r, --raw
    Rå utdata (ingen kolonnering).

-t, --time
    Information om skrivtid. Tidpunkten för den senaste kontrollåtgärden som ändrade åtkomstbehörigheterna för alla faciliteter, tidpunkten för de senaste msgsnd(2) och msgrcv(2) åtgärderna på meddelandeköer, tidpunkten för de senaste shmat(2) och shmdt(2) åtgärderna på delat minne och tidpunkten för den senaste semop(2) åtgärden på semaforer.

--time-format typ
    Visa datum i kort, fullständigt eller isoformat. Standardinställningen är kort, och detta tidsformat är utformat för att vara utrymmeseffektivt och lättläst.

-P, --numeric-perms
    Skriv ut numeriska behörigheter i kolumnen PERMS.

-y, --shell
    Kolumnnamnet kommer att ändras så att det endast innehåller tecken som är tillåtna för identifiering av skalvariabler. Detta kan t.ex. användas med --export. Observera att denna funktion har aktiverats automatiskt för --export i version 2.37, men på grund av kompatibilitetsproblem är det nu nödvändigt att begära detta beteende av --shell.

MILJÖ

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

AVSLUTSSTATUS

0
    om OK,

1
    om felaktiga argument anges,

2
    om ett allvarligt fel inträffar.

HISTORIK

Verktyget lsipc är inspirerat av verktyget ipcs(1).

UPPHOVSPERSONER

SE ÄVEN

ipcmk(1), ipcrm(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2), sysvipc(7)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot lsipc ingår i paketet util-linux som kan hämtas från